Bug 130142 - Migrate java.debug module for JavaFX
Migrate java.debug module for JavaFX
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Editor
6.x
All All
: P1 (vote)
: 6.x
Assigned To: David Strupl
issues@javafx
:
Depends on:
Blocks: 130138
  Show dependency treegraph
 
Reported: 2008-03-14 12:32 UTC by David Strupl
Modified: 2008-04-07 18:16 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Strupl 2008-03-14 12:32:42 UTC
The java.debug module provides AST view for the java sources. We should have the same for JavaFX. The new module will be
in the directory main/contrib/javafx.debug.
Comment 1 David Strupl 2008-03-14 12:33:23 UTC
I have started the work on this ...
Comment 2 David Strupl 2008-03-27 15:53:00 UTC
The module is there (it has been "migrated"). The rest can smaller tasks/fixes for the module.

You have to start the IDE with 

-J-Dorg.netbeans.modules.java.debug.enable=true

and check the features for both java and fx under Window --> Navigation --> Navigator.
Comment 3 Lark Fitzgerald 2008-04-07 18:16:13 UTC
Verified debug module present:
Product Version: NetBeans IDE Dev (Build 200804010004)
Java: 1.6.0_03; Java HotSpot(TM) Client VM 1.6.0_03-b05
System: Windows Vista version 6.0 running on x86; Cp1252; en_US (nb)

Plugin: CB#312 (2008-04-07_14-26-18.zip)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo